Subject: [dns-at-ietf] Re: managing workload within and across DNS WGs
From: Shumon Huque <[email-masked]>
To: Petr Špaček <[email-masked]>
Cc: Wes Hardaker <[email-masked]>,Ondřej Surý <[email-masked]>, [email-masked]
Date: Fri, 7 Nov 2025 16:15:58 -0500
List-Id: "This list is to discuss the structure of DNS work in the IETF, and DNSOP in particular." <dns-at-ietf.ietf.org>

On Fri, Nov 7, 2025 at 3:54 PM Petr Špaček <[email-masked]> wrote:

> On 07. 11. 25 14:45, Wes Hardaker wrote:
> > Ondřej Surý <[email-masked]> writes:
> >> With groups large in content and people like dnsop, one of the problem
> >> that I have as a chair are the following indicators:
> >>
> >> - Is there enough interest in the draft?
> >> - Has there been enough reviews?
> >> - Has the consensus been reached?
> >
> > I think those are good helpful questions, thank you.  Do they work for
> > satisfying whether or not a draft is ready for last call though?  One of
> > the load issues, IMHO, is not just can we take it on (interest and
> > enthusiasm are common) but also "was it actively worked on"?  A common
> > pattern with overloaded groups can be that Last Calls bring up a ton of
> > issues because people ignored it until that point.  How do you work
> > around this sort of problem?
>
> I think requiring implementations before it is allowed to progress
> through a suitable point in the process is a good filter. If authors are
> not committed they will not spend time fiddling with code.
>
> Ad the argument 'but that would create a group of gatekeepers':
>

On this point, I think I heard Warren already make the observation
in the OPSARA meeting  that in some other WGs, a small group of
influential implementers have been perceived to gate keep accepted
work. While on balance, I agree that we need implementations, we
need to avoid the situations that Warren cites. We need to balance
implementer interest, with operator interest, and IETF principles (e.g.
what is good for the Internet, not what is good for the business of a
specific set of implementers).

For me, one of the most important benefits of implementation work is
to prove out protocol designs, identify gaps in our understanding of
they would work in the field, and thus inform our work to develop
technically correct solutions.

Shumon.